import React from 'react';
import PropTypes from 'prop-types';
import ClearIcon from '@mui/icons-material/Clear';
import IconButton from '@mui/material/IconButton';
import { useStyles } from './styles';
export var ClearIndicator = function (props) {
    var onClear = props.selectProps.onClear;
    var styles = useStyles();
    return (React.createElement(IconButton, { onClick: onClear, size: "large" },
        React.createElement(ClearIcon, { className: styles.clearIcon })));
};
ClearIndicator.propTypes = {
    selectProps: PropTypes.object.isRequired
};
